[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

ClusteringOptions Class Reference

Options object for hierarchical clustering. More...

`#include <vigra/hierarchical_clustering.hxx>`

## Public Member Functions

ClusteringOptions & | maxMergeDistance (double val)
ClusteringOptions & | minRegionCount (size_t count)
ClusteringOptions & | nodeFeatureImportance (double val)
ClusteringOptions & | nodeFeatureMetric (metrics::MetricType metric)
ClusteringOptions & | sizeImportance (double val)
ClusteringOptions & | verbose (bool val=true)

## Detailed Description

Options object for hierarchical clustering.

#include <vigra/hierarchical_clustering.hxx>
Namespace: vigra

This class allows to set various parameters of hierarchicalClustering(). See there for usage examples.

Examples
  graph_agglomerative_clustering.cxx.

## Member Function Documentation

## ◆ minRegionCount()

ClusteringOptions & minRegionCount | ( | size_t | count | ) |

Stop merging when the number of clusters reaches this threshold.

Default: 1 (don't stop early)

## ◆ maxMergeDistance()

ClusteringOptions & maxMergeDistance | ( | double | val | ) |

Stop merging when the weight of the cheapest edge exceeds this threshold.

Default: infinity (don't stop early)

## ◆ nodeFeatureImportance()

ClusteringOptions & nodeFeatureImportance | ( | double | val | ) |

Importance of node features relative to edge weights.

Must be between 0 and 1, with 0 meaning that node features are ignored, and 1 meaning that edge weights are ignored.

Default: 0.5 (equal importance)

## ◆ sizeImportance()

ClusteringOptions & sizeImportance | ( | double | val | ) |

Importance of node size.

Must be between 0 and 1, with 0 meaning that size is ignored, and 1 meaning that the algorithm prefers to keep cluster sizes balanced.

Default: 1.0 (prefer like-sized clusters)

## ◆ nodeFeatureMetric()

ClusteringOptions & nodeFeatureMetric | ( | metrics::MetricType | metric | ) |

Metric to be used when transforming node features into cluster distances.

The cluster (= node) distance is the respective norm of the difference vector between the corresponding node feature vectors.

Default: metrics::ManhattanMetric (L1-norm of the feature difference)

## ◆ verbose()

ClusteringOptions & verbose | ( | bool | val = `true` | ) |

Display progress information.

Default: false

The documentation for this class was generated from the following file:

- vigra/hierarchical_clustering.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1